<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="memberViewModel"
            type="com.datarecovery.master.module.member.MemberViewModel" />

        <import type="com.atmob.common.ui.SizeUtil" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">


        <androidx.core.widget.NestedScrollView
            android:id="@+id/nested_scroll_view"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toTopOf="@+id/view_bottom"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:src="@drawable/bg_member_header_img"
                    app:layout_constraintDimensionRatio="1080:789"
                    app:layout_constraintTop_toTopOf="parent" />

                <Space
                    android:id="@+id/space1"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    app:layout_constraintDimensionRatio="360:187"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/bg_member_container"
                    app:layout_constraintTop_toBottomOf="@+id/space1">

                    <Space
                        android:id="@+id/space_detail_top"
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        app:layout_constraintDimensionRatio="360:21"
                        app:layout_constraintTop_toTopOf="parent" />

                    <View
                        android:id="@+id/icon_member_benefit"
                        android:layout_width="0dp"
                        android:layout_height="0dp"
                        android:layout_marginBottom="-2dp"
                        android:background="@drawable/bg_member_title"
                        app:layout_constraintBottom_toBottomOf="@+id/member_func_title"
                        app:layout_constraintDimensionRatio="64:8"
                        app:layout_constraintLeft_toLeftOf="@+id/member_func_title"
                        app:layout_constraintWidth_percent="0.1777777777777778" />


                    <TextView
                        android:id="@+id/member_func_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/app_common_page_horizontal_padding"
                        android:text="@string/member_func_title"
                        android:textColor="#202020"
                        android:textSize="16sp"
                        android:textStyle="bold"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/space_detail_top" />

                    <Space
                        android:id="@+id/space2"
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        app:layout_constraintDimensionRatio="360:14"
                        app:layout_constraintTop_toBottomOf="@+id/member_func_title" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/member_detail_list"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingHorizontal="@dimen/app_common_page_horizontal_padding"
                        app:layout_constraintTop_toBottomOf="@id/space2"
                        tools:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                        tools:listitem="@layout/item_member_goods"
                        tools:orientation="horizontal" />

                    <Space
                        android:id="@+id/space3"
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        app:layout_constraintDimensionRatio="360:20"
                        app:layout_constraintTop_toBottomOf="@+id/member_detail_list" />

                    <TextView
                        android:id="@+id/member_scenes_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{memberViewModel.selectBean.superRecover ? @string/member_super_title : @string/member_scenes_title }"
                        android:textColor="#202020"
                        android:textSize="14sp"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toLeftOf="@+id/member_func_title"
                        app:layout_constraintTop_toBottomOf="@+id/space3"
                        tools:text="使用场景" />

                    <Space
                        android:id="@+id/space4"
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        app:layout_constraintDimensionRatio="360:12"
                        app:layout_constraintTop_toBottomOf="@+id/member_scenes_title" />


                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/scenes_ry_view"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="16dp"
                        android:background="@{memberViewModel.selectBean.superRecover ? null: @drawable/bg_scenes_container}"
                        android:overScrollMode="never"
                        android:padding="8dp"
                        app:layout_constraintTop_toBottomOf="@+id/space4" />

                    <Space
                        android:id="@+id/space5"
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        app:layout_constraintDimensionRatio="360:20"
                        app:layout_constraintTop_toBottomOf="@+id/scenes_ry_view" />

                    <View
                        android:id="@+id/v_divider"
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:background="#F9FAFC"
                        app:layout_constraintDimensionRatio="360:8"
                        app:layout_constraintTop_toBottomOf="@+id/space5" />

                    <Space
                        android:id="@+id/space6"
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        app:layout_constraintDimensionRatio="360:20"
                        app:layout_constraintTop_toBottomOf="@+id/v_divider" />

                    <View
                        android:id="@+id/icon_user_evaluate"
                        android:layout_width="0dp"
                        android:layout_height="0dp"
                        android:layout_marginBottom="-2dp"
                        android:background="@drawable/bg_member_title"
                        app:layout_constraintBottom_toBottomOf="@+id/member_user_evaluate_title"
                        app:layout_constraintDimensionRatio="64:8"
                        app:layout_constraintLeft_toLeftOf="@+id/member_user_evaluate_title"
                        app:layout_constraintWidth_percent="0.1777777777777778" />


                    <TextView
                        android:id="@+id/member_user_evaluate_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/app_common_page_horizontal_padding"
                        android:text="@string/member_user_evaluate"
                        android:textColor="#202020"
                        android:textSize="16sp"
                        android:textStyle="bold"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/space6" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/user_evaluate_ry_view"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:overScrollMode="never"
                        app:layout_constraintTop_toBottomOf="@+id/icon_user_evaluate" />

                    <TextView
                        android:id="@+id/member_service_content"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/member_service_description"
                        android:textColor="#404040"
                        android:textSize="14sp"
                        android:textStyle="bold"
                        app:layout_constraintStart_toStartOf="@+id/member_scenes_title"
                        app:layout_constraintTop_toBottomOf="@+id/user_evaluate_ry_view" />

                    <TextView
                        android:id="@+id/member_service_content_txt"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="@dimen/app_common_page_horizontal_padding"
                        android:layout_marginTop="8dp"
                        android:text="@{memberViewModel.getServiceContentTxt}"
                        app:layout_constraintTop_toBottomOf="@+id/member_service_content"
                        tools:text="1.根据相关法律对个人隐私保护的规定，需购买会员才可使用，请在购买套餐前仔细阅读我们的《隐私协议》，您在付费会员服务时必须完全，严格的遵守本服务协议的规则。
2.会员服务说明:您购买的任何会员服务购买成功后一年有效，但请注意，您如果先买了单个功能恢复，后续又买了全部功能恢复，那么您之前购买的单个功能恢复则无法退款。
3.若您在支付过程中遇到问题，无法支付或支付失败，请先检查自己账户内的余额，若还是存在支付问题请联系客服解决。
4.在线客服工作时间7*18小时
5.本产品功能只作为本人数据恢复，请用于合法用途经发现违法使用则立即封停账号并视情节严重与否追究法律。
6.付费会员服务仅供您自行使用，使用过程中需要电脑配合，可根据详细的恢复教程，通过获取的授权码和软件自行操作，使用过程中遇到问题可以联系官方客服解决
7.我们的软件会尽可能为您恢复出数据中可能恢复的记录，越早操作恢复概率越高。
8.支付后可开具增值税发票(纸质发票，邮寄到付)" />

                    <Space
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        app:layout_constraintDimensionRatio="360:37"
                        app:layout_constraintTop_toBottomOf="@+id/member_service_content_txt" />


                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.core.widget.NestedScrollView>

        <View
            android:alpha="0"
            android:background="@color/white"
            android:id="@+id/view_status_bar"
            android:layout_width="match_parent"
            android:layout_height="@{SizeUtil.getStatusBarHeight(), default=@dimen/app_status_bar_height}"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:alpha="0"
            android:background="@color/white"
            android:id="@+id/view_tool_bar"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@+id/toolbar"
            app:layout_constraintTop_toTopOf="@+id/toolbar" />

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toBottomOf="@+id/view_status_bar">


            <ImageView
                android:id="@+id/icon_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="start"
                android:layout_marginStart="@dimen/app_common_page_horizontal_padding"
                android:background="?android:selectableItemBackgroundBorderless"
                android:src="@drawable/icon_member_back" />

            <TextView
                android:alpha="0"
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/member_action_title"
                android:textColor="#202020"
                android:textSize="17sp"
                android:textStyle="bold" />

        </androidx.appcompat.widget.Toolbar>

        <View
            android:id="@+id/view_bottom"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="@drawable/bg_member_bottom"
            android:elevation="10dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="360:86" />


        <TextView
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_member_buy_btn"
            android:elevation="10dp"
            android:gravity="center"
            android:onClick="@{() -> memberViewModel.onMemberSubscribeClick()}"
            android:text="@{memberViewModel.getSubscribeTxt}"
            android:textColor="#6A3420"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/view_bottom"
            app:layout_constraintDimensionRatio="328:48"
            app:layout_constraintEnd_toEndOf="@+id/view_bottom"
            app:layout_constraintStart_toStartOf="@+id/view_bottom"
            app:layout_constraintTop_toTopOf="@+id/view_bottom"
            app:layout_constraintVertical_bias="0.3684210526315789"
            app:layout_constraintWidth_percent="0.9111111111111111" />


    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>